Bug 380691 - Unhandled python exception in installation after "Copying live image on disk" and during "post-install procedures"
Unhandled python exception in installation after "Copying live image on disk...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 13:58 EST by Wojtek
Modified: 2008-06-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda's log with python traceback. (44.52 KB, text/plain)
2007-11-13 13:58 EST, Wojtek
no flags Details

  None (edit)
Description Wojtek 2007-11-13 13:58:26 EST
Description of problem:
After formatting partitions and configuring language, network, timezone and root
pasword, so "copying image on the hard disk" there is a message about exception
in "isys.py" (details in attachment "Anaconda.log"). 

Version-Release number of selected component (if applicable):


How reproducible:
Installation from live-cd on 80GB HDD  containing 15 partitions (including 3GB /
ext3, 8GB /usr ext3, 8 GB /home ext3, and so on (all formatted). Language:
Polish or US-English, timezone: Warsaw. Solving like:
http://fedoraforum.org/forum/showpost.php?p=895963&postcount=25 didn't help.

Steps to Reproduce:
1. Booting live-cd with options: acpi=off pmc=off nofb ide=nodma (like on page
above)
2. Hard- disk installation.
3. Choosing options like above.
  
Actual results:
Showing exception like in the attachment's beginning lines, breaking of the the
installation after clicking OK.

Expected results:
Continuing of installation, ability to boot from HD.

Additional info:
Image seems to be fully copied to /mnt/sysimage.
Comment 1 Wojtek 2007-11-13 13:58:26 EST
Created attachment 257261 [details]
Anaconda's log with python traceback.
Comment 2 Wojtek 2007-11-13 17:53:03 EST
Precisely saying mentioned installation is from kde-livecd-i386.iso
Comment 3 Wojtek 2007-11-15 13:51:38 EST
OK- now it works..:) I don't know, why... I have done nothing special. Just 
during preparing partitions in Disk Druid I haven't bring any mountpoints for 
most of the partitions (only for /dev/sda7- / and /dev/sda1- /boot). It 
resulted in completing "Copying image on hd", "Post-install procedures" and 
whole installation ("completed successfully" - Yeahhh!!!:)). Booting from HD 
appeared softly, next stages blew perfectly and finally I found myself in GUI 
environment. Here only 1 case is suspicious, and 2 are uncomfortable, so :
1. There is no install.log file in /root directory.
2. The whole fedora is standing on / and /boot partitions (what was rather 
expected as a consequence of not bringing mount points in Disk Druid).
3. GParted is starting very slowly (what I've been already experiencing in 
earlier distros).
I'm suspecting, that 2'nd case lays on proper configuration of /etc/fstab 
(probably), so you won't be interested in its further lifetime, but resting 
two points could be bugs (esp. 1 could be anaconda's bug), so I'll leave them 
for your nice consideration. Regards.
Comment 4 Wojtek 2007-11-17 19:33:10 EST
According to previous comment (point 1) I've discovered meanwhile proper 
warning about /root/install.log in my /var/log/anaconda.log file. There are 
also similar warnings according 
to /root/install.log.syslog,  /etc/modprobe.conf , /etc/rpm/macros and a few 
others.
Comment 5 Bug Zapper 2008-05-14 11:03:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Wojtek 2008-05-16 18:18:38 EDT
It's ok- I suppose, that this bug was caused by more like a corruption of
physical disk's structure than the Anaconda program. Anyway: "error handling",
dear maintainers, "error handling" ;)
Comment 7 Bug Zapper 2008-06-16 22:51:41 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.